import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { LogBuyersearch } from '../models';
import { LogBuyersearchRepository } from '../repositories';
export declare class LogBuyersearchController {
    logBuyersearchRepository: LogBuyersearchRepository;
    constructor(logBuyersearchRepository: LogBuyersearchRepository);
    create(logBuyersearch: Omit<LogBuyersearch, 'logBuyersearchId'>): Promise<LogBuyersearch>;
    count(where?: Where<LogBuyersearch>): Promise<Count>;
    find(filter?: Filter<LogBuyersearch>): Promise<LogBuyersearch[]>;
    updateAll(logBuyersearch: LogBuyersearch, where?: Where<LogBuyersearch>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<LogBuyersearch>): Promise<LogBuyersearch>;
    updateById(id: number, logBuyersearch: LogBuyersearch): Promise<void>;
    replaceById(id: number, logBuyersearch: LogBuyersearch): Promise<void>;
    deleteById(id: number): Promise<void>;
}
